Gecode::Int::Extensional::VarTraits< IntVar > Class Reference

Traits class for variables. More...

`#include <layered-graph.hpp>`

## Public Types

typedef Int::IntView | View
| The variable type of an IntView.

## Detailed Description

Traits class for variables.

This class specializes the VarTraits for integer variables.

Definition at line 54 of file layered-graph.hpp.

## Member Typedef Documentation

## View

typedef Int::IntView Gecode::Int::Extensional::VarTraits< IntVar >::View

The variable type of an IntView.

Definition at line 57 of file layered-graph.hpp.

The documentation for this class was generated from the following file:

- gecode/int/extensional/layered-graph.hpp